​function External_KNX_IP()
{
 IR.Log("External KNX IP"); //выводит в лог сервера
 IR.GetDevice("KNX").SetParameters({Host: "192.168.0.152", Port: "3671", ConnectTime: "120000", SendTime: "0", PingTime: "60000"}); // меняет настройки подключения к драйверу
 IR.SetVariable("Server.Tags.Status KNX","We try to connect to External KNX IP"); //записывает в виртуальный тег Status текст
};
​function Internal_KNX_IP()
{
 IR.Log("Internal KNX IP"); //выводит в лог сервера
 IR.GetDevice("KNX").SetParameters({Host: "213.114.30.30", Port: "3671", ConnectTime: "120000", SendTime: "0", PingTime: "60000"}); // меняет настройки подключения к драйверу
 IR.SetVariable("Server.Tags.Status KNX","We try to connect to Internal KNX IP"); //записывает в виртуальный тег Status текст
};

function Connect()
{
 IR.Log("External KNX IP"); //выводит в лог сервера
 IR.GetDevice("KNX").Connect (); // подключиться к драйверу
 IR.SetVariable("Server.Tags.Status KNX","We try to connect to KNX"); //записывает в виртуальный тег Status текст
};
​function  Disconnect ()
{
 IR.Log("Internal KNX IP"); //выводит в лог сервера
 IR.GetDevice("KNX").Disconnect (); // отключиться от драйвера
 IR.SetVariable("Server.Tags.Status KNX","We try to disconnect from KNX"); //записывает в виртуальный тег Status текст
};
 